Bug 1025726 - arptables: Missing man pages for arptables-save and arptables-restore
arptables: Missing man pages for arptables-save and arptables-restore
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: arptables (Show other bugs)
7.0
Unspecified Unspecified
high Severity low
: rc
: ---
Assigned To: Jesper Brouer
Xin Long
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 07:47 EDT by Jesper Brouer
Modified: 2014-06-18 01:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:32:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Man-page: arptables-save (1.37 KB, application/x-troff-man)
2013-11-07 10:16 EST, Jesper Brouer
no flags Details
Man-page: arptables-restore (1.47 KB, application/x-troff-man)
2013-11-07 10:19 EST, Jesper Brouer
no flags Details

  None (edit)
Description Jesper Brouer 2013-11-01 07:47:03 EDT
Description of problem:

In the new arptables package (BZ#1018135):

 2 executables do not have manpages (on all architectures):
  /usr/sbin/arptables-restore
  /usr/sbin/arptables-save

Additional info:
 Good howto here:
  https://fedoraproject.org/wiki/User:Varekova/man-pages
Comment 1 Jesper Brouer 2013-11-07 10:16:32 EST
Created attachment 821211 [details]
Man-page: arptables-save

Man-page: arptables-save.8 based upon iptables-save.8
Comment 2 Jesper Brouer 2013-11-07 10:19:09 EST
Created attachment 821212 [details]
Man-page: arptables-restore

Man-page: arptables-restore.8 based upon iptables-restore.8
Comment 4 Jesper Brouer 2013-11-14 07:16:11 EST
POST'ed upstream:
 http://thread.gmane.org/gmane.comp.security.firewalls.netfilter.devel/49807
Comment 5 Jesper Brouer 2013-11-14 08:48:09 EST
(In reply to Jesper Brouer from comment #4)
> POST'ed upstream:
>  http://thread.gmane.org/gmane.comp.security.firewalls.netfilter.devel/49807

Made a mistake in the patch, send V2 of patch:

 http://thread.gmane.org/gmane.comp.security.firewalls.netfilter.devel/49807/focus=49808
Comment 6 Jesper Brouer 2013-11-15 05:24:26 EST
Errata (https://errata.devel.redhat.com/advisory/16108) needs state MODIFIED
Comment 8 Xin Long 2014-04-09 22:50:32 EDT
verify on arptables v0.0.4

man arptables-restore
man arptables-restore
Comment 9 Ludek Smid 2014-06-13 05:32:31 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.